#import <Cocoa/Cocoa.h>
#import <SyncServices/SyncServices.h>

@interface AppDelegate : NSObject <ISyncSessionDriverDataSource> 
{
	NSArray *_bookmarkObjects;
  NSMutableDictionary *_recordLookup;
	ISyncSessionDriver *syncDriver;
	NSProgressIndicator* _progressIndicator;
	ISyncSessionDriverMode _preferredSyncMode;
}

@property (retain) NSArray *bookmarkObjects;
@property (readonly) NSArray *tableSortDescriptors;

- (id)objectForRecordIdentifier:(NSString*)identifier;

- (IBAction)requestSync:(id)sender;

@end
