#import <Cocoa/Cocoa.h>

@class FolderEntity;

@interface BookmarkEntity : NSObject 
{
	NSString *_parentIdentifier;
	NSString *_name;
	NSInteger _position;
	NSString *_url;
  NSString *_recordIdentifier;
  BOOL updated;
}

@property (retain) NSString *name, *url;
@property (assign) NSInteger position;
@property (retain) NSString *recordIdentifier;
@property (retain) NSString *parent;
@property BOOL updated;
@property (readonly) FolderEntity *parentFolder;

+ (NSString*)entityName;

- (NSDictionary*)fullRecord;

- (BOOL)isLeaf;

- (NSString*)secondColumn;

@end
