#import <Cocoa/Cocoa.h>

@interface FolderEntity : NSObject 
{
	NSString *_parentIdentifier;
  NSString *_recordIdentifier;
	NSString *_name;
	NSInteger _position;
	NSMutableArray *_children;
  
  BOOL updated;
}

@property (retain) NSString *name;
@property (assign) NSInteger position;
@property (retain) NSString *recordIdentifier;
@property (assign) NSArray *children;
@property (readonly) NSArray *childRecords;
@property (retain) NSString *parent;
@property (readonly) FolderEntity *parentFolder;
@property BOOL updated;

+ (NSString*)entityName;

- (NSDictionary*)fullRecord;

- (int)recordCount;
- (BOOL)isLeaf;

- (NSString*)secondColumn;

@end
